Package org.apache.sling.distribution.journal.binary.jcr

## Class JcrBinaryStore

- java.lang.Object
- - org.apache.sling.distribution.journal.binary.jcr.JcrBinaryStore

All Implemented Interfaces:
  `org.apache.sling.distribution.journal.BinaryStore`

    public class JcrBinaryStore
    extends Object
    implements org.apache.sling.distribution.journal.BinaryStore

### Constructor Summary

Constructors
`JcrBinaryStore()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanup​(long deleteOlderThanTime)` Delete all packages that are older than specified unix time
`InputStream` `get​(String reference)`
`String` `put​(String id, InputStream stream, long length)`
`String` `store​(String id, InputStream binaryStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JcrBinaryStore

    public JcrBinaryStore()

### Method Detail

#### get

    public InputStream get​(String reference)
                    throws IOException

Specified by:
  `get` in interface `org.apache.sling.distribution.journal.BinaryStore`
Throws:
  `IOException`

#### put

    public String put​(String id,
                      InputStream stream,
                      long length)
               throws IOException

Specified by:
  `put` in interface `org.apache.sling.distribution.journal.BinaryStore`
Throws:
  `IOException`

#### store

    @Nonnull
    public String store​(String id,
                        InputStream binaryStream)
                 throws org.apache.sling.distribution.common.DistributionException

Throws:
  `org.apache.sling.distribution.common.DistributionException`

#### cleanup

    public void cleanup​(long deleteOlderThanTime)

Delete all packages that are older than specified unix time

Parameters:
  `deleteOlderThanTime` -